aboutsummaryrefslogtreecommitdiff
path: root/dependency-test.sh
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2012-10-23 18:59:50 +0200
committerMattias Andrée <maandree@operamail.com>2012-10-23 18:59:50 +0200
commitd96422a8101bc37a80cc43af69862029e998f2ea (patch)
treeab7420450b56ecd8159ad173330c1aad7d81b273 /dependency-test.sh
parentf13a4be55738ad86c70f098ba2ebdecec33a037d (diff)
parent50f71bfd053cf90930c06199cd4147ea6d9624e4 (diff)
downloadponysay-d96422a8101bc37a80cc43af69862029e998f2ea.tar.gz
ponysay-d96422a8101bc37a80cc43af69862029e998f2ea.tar.bz2
ponysay-d96422a8101bc37a80cc43af69862029e998f2ea.zip
Merge branch 'master' of github.com:erkin/ponysay
Diffstat (limited to 'dependency-test.sh')
-rwxr-xr-xdependency-test.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/dependency-test.sh b/dependency-test.sh
index 770873c..3c5301b 100755
--- a/dependency-test.sh
+++ b/dependency-test.sh
@@ -15,6 +15,7 @@ ro=0
(hash mkdir 2>/dev/null) || (br=1 ; echo 'Missing mkdir, install coreutils [build required]')
(hash cp 2>/dev/null) || (br=1 ; echo 'Missing cp, install coreutils [build required]')
(hash cut 2>/dev/null) || (br=1 ; echo 'Missing cut, install coreutils [build required]')
+(hash chmod 2>/dev/null) || (br=1 ; echo 'Missing chmod, install coreutils [build required]')
(hash bash 2>/dev/null) || (bs=1 ; echo 'Missing bash, install bash [build recommended]')
@@ -32,6 +33,7 @@ ro=0
(hash tty2colourfultty 2>/dev/null) || (ro=1 ; echo 'Missing tty2colourfultty, install util-say [runtime optional]')
(hash ponysay2ttyponysay 2>/dev/null) || (ro=1 ; echo 'Missing ponysay2ttyponysay, install util-say [runtime optional]')
+(hash chmod 2>/dev/null) || (rr=1 ; echo 'Missing chmod, install coreutils [runtime optional]')
( (test $br = 1) || (test $rr = 1) || (test $ro = 1) ) && echo